### GET /applications Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml Lists applications. ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key ### Responses #### 200 - applications-list 200 response - Array of object - **abilities** (array (string)) - **id** (string) (required): The unique identifier of the application. - **runtimeName** (string) (required):
Runtime id of the application compatible with DNS-1123 label, based on id.
It must be used in certain places such as kubernetes labels. (Might be the same as id.) - **name** (string) (required):
Human readable name of the component. - **description** (string):
Description of the application. - **status** (string) (required): Status of the application.
READY - Application is ready to be used.
DELETING - Application is being deleted.
- **relatedEnvironments** (array (object)):
Environments related to the application. Array items: - **id** (string) (required):
Unique environment ID.
- **displayName** (string):
Human readable name of the environment. - **production** (boolean) - **createdAt** (string (date-time)):
The timestamp when the application was created. If the timestamp is unknown, the value will be returned as `null`.
- **createdBy** (string):
This field represents the identifier of the user responsible for creating the application. If the user is unknown, the value will be returned as `null`.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications" ``` ``` -------------------------------- ### GET /applications/{applicationId} Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml Gets an application detail. ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) ### Responses #### 200 - applications-get 200 response **ApplicationResponse** - **abilities** (array (string)) - **id** (string) (required): The unique identifier of the application. - **runtimeName** (string) (required):
Runtime id of the application compatible with DNS-1123 label, based on id.
It must be used in certain places such as kubernetes labels. (Might be the same as id.) - **name** (string) (required):
Human readable name of the component. - **description** (string):
Description of the application. - **status** (string) (required): Status of the application.
READY - Application is ready to be used.
DELETING - Application is being deleted.
- **relatedEnvironments** (array (object)):
Environments related to the application. Array items: - **id** (string) (required):
Unique environment ID.
- **displayName** (string):
Human readable name of the environment. - **production** (boolean) - **createdAt** (string (date-time)):
The timestamp when the application was created. If the timestamp is unknown, the value will be returned as `null`.
- **createdBy** (string):
This field represents the identifier of the user responsible for creating the application. If the user is unknown, the value will be returned as `null`.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}" ``` ``` -------------------------------- ### GET /ci/components/{componentId}/ci/dockerfile Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml API endpoint for GET /ci/components/{componentId}/ci/dockerfile ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **componentId** (string, path, required) - **branch** (string, query, required) ### Responses #### 200 - Dockerfile downloaded successfully #### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/ci/components/{componentId}/ci/dockerfile?branch=string" ``` ``` -------------------------------- ### GET /applications/{applicationId}/deployment-configs/{version} Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml Get application deployment configuration detail. If no environment ID is specified, a default configuration will be returned. ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) - **version** (string, path, required) - **environmentId** (string, query, optional) ### Responses #### 200 - application-deployment-config-detail 200 response **ApplicationDeploymentConfigResponse** - **version** (string):
The deployment configuration version given in the request. In most cases it will be identical to applicationVersion, but it can differ, e.g. when the specified configuration does not exist.
- **compatible** (boolean):
A boolean flag indicating whether the deployment configuration can be used to deploy the specified application version to the given environment.
It will be set to false, if there are breaking changes between the given version and the version the configuration has been created for. - **applicationId** (string) (required):
The unique identifier of the application this configuration belongs to. Any existing deployment configuration is fully identified by the combination of application, version and environment.
- **applicationVersion** (string) (required):
The application package version this configuration was created for.
- **environmentId** (string) (required):
The unique identifier of the environment this configuration belongs to.
- **versionInterval** (object):
The range of application package versions this configuration is currently applicable to. The intervals will adjust accordingly with the creation and deletion of configurations.
- **startVersion** (string) (required):
The lowest application package version this configuration is applicable to.
- **endVersion** (string) (required):
The highest application package version this configuration is currently applicable to. It might change with the creation and deletion of application packages and deployment configurations.
- **deployed** (boolean) (required):
A boolean flag indicating whether there are any deployments using this configuration.
- **exists** (boolean) (required):
A boolean flag indicating whether any deployment configuration for given application, version and environment exists.
- **deploymentConfig** (object) (required):
A map of configurations for individual application components contained in the application version, mapped by component ID.
- **createdAt** (string (date-time)):
The timestamp when the deployment configuration was created. If the timestamp is unknown, the value will be returned as `null`.
- **createdBy** (string):
This field represents the identifier of the user responsible for creating the deployment configuration. If the user is unknown, the value will be returned as `null`.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}/deployment-configs/{version}?environmentId=string" ``` ``` -------------------------------- ### GET /applications/{applicationId}/packages/{version} Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml API endpoint for GET /applications/{applicationId}/packages/{version} ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) - **version** (string, path, required) ### Responses #### 200 - application_packages-detail 200 response **ApplicationPackageResponse** - **version** (string):
Release version of the application package.
- **applicationId** (string):
ID of an application the package belongs to.
- **basePackageVersion** (string):
Version of the package this package has been based on.
- **archived** (boolean):
Indicates whether this package has been archived.
- **preview** (boolean) - **components** (array (object)) (required):
Application components the package consists of.
Array items: - **componentId** (string):
ID of the component.
- **version** (string):
Version of the component.
- **dockerImage** (string):
Docker image of the component.
- **deleted** (boolean):
Indicates whether the component has been deleted.
- **branch** (string):
Branch the component version was build from.
- **commit** (object):
Commit the component version was build from.
- **id** (string):
The commit SHA.
- **shortId** (string):
The short commit SHA.
- **message** (string):
The commit message.
- **author** (object):
Author of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **committer** (object):
Committer of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **partOfBasePackage** (boolean):
Indicates whether the component is part of the base package.
Preview packages will have components which are not part of the base package
- **labels** (array (object)):
Optional colored labels of the package.
Array items: - **id** (string (uuid)):
ID of the label.
- **text** (string):
Text of the label.
- **color** (string):
Color of the label.
- **createdAt** (string (date-time)):
The timestamp when the application package was created. If the timestamp is unknown, the value will be returned as `null`.
- **createdBy** (string):
This field represents the identifier of the user responsible for creating the application package. If the user is unknown, the value will be returned as `null`.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}/packages/{version}" ``` ``` -------------------------------- ### GET /applications/{applicationId}/deployment-configs Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml API endpoint for GET /applications/{applicationId}/deployment-configs ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) - **includePreview** (boolean, query, required) ### Responses #### 200 - application-deployment-configs-list 200 response - Array of object - **applicationId** (string) (required):
The unique identifier of the application this configuration belongs to. Any deployment configuration is fully identified by the combination of application ID, application version and environment ID.
- **applicationVersion** (string) (required):
The application package version this configuration was created for.
- **environmentId** (string) (required):
The unique identifier of the environment this configuration belongs to.
- **versionInterval** (object) (required):
The range of application package versions this configuration is currently applicable to. The intervals will adjust accordingly with the creation and deletion of configurations.
- **startVersion** (string) (required):
The lowest application package version this configuration is applicable to.
- **endVersion** (string) (required):
The highest application package version this configuration is currently applicable to. It might change with the creation and deletion of application packages and deployment configurations.
- **createdAt** (string (date-time)):
The timestamp when the deployment configuration was created. If the timestamp is unknown, the value will be returned as `null`.
- **createdBy** (string):
This field represents the identifier of the user responsible for creating the deployment configuration. If the user is unknown, the value will be returned as `null`.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}/deployment-configs?includePreview=false" ``` ``` -------------------------------- ### GET /applications/{applicationId}/packages Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml API endpoint for GET /applications/{applicationId}/packages ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) - **includeArchived** (boolean, query, required) - **expand** (array (Expand_3), query, optional) ### Responses #### 200 - application_packages-list 200 response - Array of object - **version** (string):
Release version of the application package.
- **applicationId** (string):
ID of an application the package belongs to.
- **basePackageVersion** (string):
Version of the package this package has been based on.
- **archived** (boolean):
Indicates whether this package has been archived.
- **preview** (boolean) - **components** (array (object)) (required):
Application components the package consists of.
Array items: - **componentId** (string):
ID of the component.
- **version** (string):
Version of the component.
- **dockerImage** (string):
Docker image of the component.
- **deleted** (boolean):
Indicates whether the component has been deleted.
- **branch** (string):
Branch the component version was build from.
- **commit** (object):
Commit the component version was build from.
- **id** (string):
The commit SHA.
- **shortId** (string):
The short commit SHA.
- **message** (string):
The commit message.
- **author** (object):
Author of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **committer** (object):
Committer of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **partOfBasePackage** (boolean):
Indicates whether the component is part of the base package.
Preview packages will have components which are not part of the base package
- **labels** (array (object)):
Optional colored labels of the package.
Array items: - **id** (string (uuid)):
ID of the label.
- **text** (string):
Text of the label.
- **color** (string):
Color of the label.
- **createdAt** (string (date-time)):
The timestamp when the application package was created. If the timestamp is unknown, the value will be returned as `null`.
- **createdBy** (string):
This field represents the identifier of the user responsible for creating the application package. If the user is unknown, the value will be returned as `null`.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}/packages?includeArchived=false&expand=item1,item2" ``` ``` -------------------------------- ### GET /applications/{applicationId}/components Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml Lists components for the specified application. ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) - **allowedOps** (array (string), query, optional) ### Responses #### 200 - application-components-list 200 response - Array of object - **id** (string) (required):
The unique identifier of the application component. Based on the user-defined name.
- **name** (string) (required):
Human readable name of the application component.
- **description** (string):
The detailed textual description.
- **applicationId** (string) (required):
ID of the application this component is part of.
- **state** (string (CREATING|READY|FAILED|DELETING)) (required):
The current life-cycle status of the application component.
("CREATING"|"READY"|"FAILED"|"DELETING") - **runtimeId** (string) (required):
Runtime id of the application component compatible with DNS-1123 label, based on id.
It must be used in certain places such as kubernetes labels. (Might be the same as id.) - **template** (object) (required):
Template specification for the application component.
- **id** (string) (required):
An internal identifier of the scaffold selected for library creation.
It includes information about the selected language, build tool and framework, if specified.
Available templates can be obtained through the:
/templates/application_components endpoint for application component or
/templates/libraries endpoint for library - **version** (string) (required):
The desired version of the selected template.

Available templates can be obtained through the:
/templates/application_components endpoint for application component or
/templates/libraries endpoint for library - **properties** (object):
A map of properties ("key": "value") required for proper template configuration.

Available templates can be obtained through the:
/templates/application_components endpoint for application component or
/templates/libraries endpoint for library - **scm** (object) (required):
An object containing Source Code Management (SCM) information, including provider, repository/project ID, HTTP clone URL, and SSH clone URL.
- **provider** (string):
The name of the SCM provider associated with the library, facilitating version control and collaborative software development.
- **providerType** (string):
CI Provider type (gihub, codenow, etx)
- **id** (string):
The unique identifier of the library repository or project within the SCM system.
- **sshAddress** (string) (required):
The SSH address string required for performing a Git clone operation on the repository linked to the library.
- **httpAddress** (string) (required):
The HTTP address string required for performing a Git clone operation on the repository linked to the library.
- **error** (object):
Error details, if any, encountered during the library creation process.
- **code** (string) - **message** (string) - **buildSystem** (string):
The name of the build system used for compiling, testing, and packaging code within the library.
- **settings** (object): Basic settings for the component
- **contextPath** (string) - **maxQueueSize** (integer (int32)) - **ciSettings** (object): CI settings for the component
- **provider** (string):
Associated CI provider:
codenow - uses CodeNow CI
external - uses external CI
- **availableProviders** (array (string)):
List of CI providers that are configurable for the application component. - **globalPipelinesConfiguration** (boolean):
A boolean flag indicating whether pipeline settings are globally configured for the entire repository. If set to false, the pipeline settings are independently customized for individual branches.
- **createdAt** (string (date-time)):
The timestamp when the application component was created. If the timestamp is unknown, the value will be returned as `null`.
- **createdBy** (string):
This field represents the identifier of the user responsible for creating the application component. If the user is unknown, the value will be returned as `null`.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}/components?allowedOps=detail" ``` ``` -------------------------------- ### GET /scm/provider/{providerType}/{providerId}/spaces/{spaceId}/repos Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml Lists Source Code Management repositories. ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **providerType** (string, path, required):
Type of an existing SCM provider
Available providers and supported actions can be obtained through the /scm/providers endpoint. - **providerId** (string, path, required):
Instance ID of an existing SCM provider
Available providers and supported actions can be obtained through the /scm/providers endpoint. - **spaceId** (string, path, required):
ID of an existing SCM spaces where repository will be hosted.
Available repositories can be obtained through the /scm/{providerType}/{providerId}/spaces endpoint.
- **monorepo** (boolean, query, required):
Context for creation of the new application component.
The parameter affects occupied field in the response. ### Responses #### 200 - List of SCM repositories - Array of object - **id** (string) (required):
ID of the repository - **spaceId** (string) (required):
ID of the space where the repository is hosted. - **name** (string) (required):
Name of the repository. - **occupied** (boolean) (required):
Defines if the repository is occupied or it would hosted new application component. - **httpUrl** (string) (required):
HTTP URL of the repository. #### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/scm/provider/{providerType}/{providerId}/spaces/{spaceId}/repos?monorepo=true" ``` ``` -------------------------------- ### GET /applications/{applicationId}/components/{applicationComponentId}/builds/{id} Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml API endpoint for GET /applications/{applicationId}/components/{applicationComponentId}/builds/{id} ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) - **applicationComponentId** (string, path, required) - **id** (string, path, required) - **expand** (array (Expand), query, optional) ### Responses #### 200 - application-components-builds-detail 200 response **ApplicationComponentBuildResponse** - **id** (string) (required):
The unique identifier of the build.
- **url** (string): URL to the build's dashboard. - **applicationComponentId** (string) (required):
The unique identifier of the application component.
- **version** (string):
The version of the application component build.
- **buildType** (string (RELEASE|PREVIEW|PRERELEASE)):
The type of the build.
("RELEASE"|"PREVIEW"|"PRERELEASE") - **branch** (string):
The branch from which the application component build was created .
- **commit** (object):
Commit from which the build was created.
- **id** (string):
The commit SHA.
- **shortId** (string):
The short commit SHA.
- **message** (string):
The commit message.
- **author** (object):
Author of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **committer** (object):
Committer of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **status** (string (INITIALISING|WAITING|BUILDING|SUCCESSFUL|FAILED|CANCELLED|LOST|INCOMPLETE|BUILD_FINISHED)) (required):
The status of the build.
("INITIALISING"|"WAITING"|"BUILDING"|"SUCCESSFUL"|"FAILED"|"CANCELLED"|"LOST"|"INCOMPLETE"|"BUILD_FINISHED") - **codeQuality** (object):
Code Quality information
Not all pipelines will provide this information.
- **url** (string):
URL to the code quality report.
- **status** (string (NOT_ANALYZED|ERROR|SUCCESSFUL|UNKNOWN)):
Status of the code quality.
("NOT_ANALYZED"|"ERROR"|"SUCCESSFUL"|"UNKNOWN") - **requestedBy** (string):
The user who requested the build.
- **createdAt** (string (date-time)) (required): The time when the builds was requested - **archived** (boolean):
Whether the build is archived or not.
Archived builds do not provide additional information (logs, code quality, etc.)
- **deployTo** (array (object)):
The list of deployment targets after successful build.
Array items: - **environmentId** (string) (required):
Target environment for the deployment
- **configurationType** (string (latest|preview|branch)) (required):
Controls which configuration will be used for the deployment
("latest"|"preview"|"branch") - **actions** (array (string)):
The list of actions that can be performed on the build.
- **pipeline** (string):
The pipeline used to create the build.
- **errorMessage** (string):
The error message if the build failed.
- **applicationPackage** (string):
Version pattern to specify application package to be created after successful build. - **results** (array (object)):
CI results associated with the build
. Array items: - **version** (string):
The version of the payload.
- **type** (string):
The type of the payload.
- **payload** (object):
The payload (data associated with CI build).
- **type** (string) (required):
The type of the payload: git-revision
- **version** (string) (required):
The version of the payload: v1
- **repositoryUrl** (string) (required):
The URL of the repository.
- **branch** (string) (required):
The branch from which being built.
- **commitSha** (string) (required):
The commit SHA which is being built.
- **ciProvider** (string):
CI Provider associated with the build
codenow - uses CodeNow CI
external - uses external CI
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}/components/{applicationComponentId}/builds/{id}?expand=item1,item2" ``` ``` -------------------------------- ### GET /applications/{applicationId}/components/{applicationComponentId}/builds Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml API endpoint for GET /applications/{applicationId}/components/{applicationComponentId}/builds ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **applicationId** (string, path, required) - **applicationComponentId** (string, path, required) - **page** (integer (int32), query, optional) - **size** (integer (int32), query, optional) ### Responses #### 200 - Page of builds **Page_ApplicationComponentBuildResponse_** - **content** (array (object)) (required) Array items: - **id** (string) (required):
The unique identifier of the build.
- **url** (string): URL to the build's dashboard. - **applicationComponentId** (string) (required):
The unique identifier of the application component.
- **version** (string):
The version of the application component build.
- **buildType** (string (RELEASE|PREVIEW|PRERELEASE)):
The type of the build.
("RELEASE"|"PREVIEW"|"PRERELEASE") - **branch** (string):
The branch from which the application component build was created .
- **commit** (object):
Commit from which the build was created.
- **id** (string):
The commit SHA.
- **shortId** (string):
The short commit SHA.
- **message** (string):
The commit message.
- **author** (object):
Author of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **committer** (object):
Committer of the commit.
- **name** (string):
The name of the person.
- **email** (string):
The email of the person.
- **date** (string (date-time)):
The date of the commit.
- **status** (string (INITIALISING|WAITING|BUILDING|SUCCESSFUL|FAILED|CANCELLED|LOST|INCOMPLETE|BUILD_FINISHED)) (required):
The status of the build.
("INITIALISING"|"WAITING"|"BUILDING"|"SUCCESSFUL"|"FAILED"|"CANCELLED"|"LOST"|"INCOMPLETE"|"BUILD_FINISHED") - **codeQuality** (object):
Code Quality information
Not all pipelines will provide this information.
- **url** (string):
URL to the code quality report.
- **status** (string (NOT_ANALYZED|ERROR|SUCCESSFUL|UNKNOWN)):
Status of the code quality.
("NOT_ANALYZED"|"ERROR"|"SUCCESSFUL"|"UNKNOWN") - **requestedBy** (string):
The user who requested the build.
- **createdAt** (string (date-time)) (required): The time when the builds was requested - **archived** (boolean):
Whether the build is archived or not.
Archived builds do not provide additional information (logs, code quality, etc.)
- **deployTo** (array (object)):
The list of deployment targets after successful build.
Array items: - **environmentId** (string) (required):
Target environment for the deployment
- **configurationType** (string (latest|preview|branch)) (required):
Controls which configuration will be used for the deployment
("latest"|"preview"|"branch") - **actions** (array (string)):
The list of actions that can be performed on the build.
- **pipeline** (string):
The pipeline used to create the build.
- **errorMessage** (string):
The error message if the build failed.
- **applicationPackage** (string):
Version pattern to specify application package to be created after successful build. - **results** (array (object)):
CI results associated with the build
. Array items: - **version** (string):
The version of the payload.
- **type** (string):
The type of the payload.
- **payload** (object):
The payload (data associated with CI build).
- **type** (string) (required):
The type of the payload: git-revision
- **version** (string) (required):
The version of the payload: v1
- **repositoryUrl** (string) (required):
The URL of the repository.
- **branch** (string) (required):
The branch from which being built.
- **commitSha** (string) (required):
The commit SHA which is being built.
- **ciProvider** (string):
CI Provider associated with the build
codenow - uses CodeNow CI
external - uses external CI
- **pageable** (object) (required) - **orderBy** (array (object)) (required) Array items: - **ignoreCase** (boolean) (required) - **direction** (string (ASC|DESC)) (required) ("ASC"|"DESC") - **property** (string) (required) - **ascending** (boolean) - **number** (integer (int32)) - **size** (integer (int32)) (required) - **sort** (object) (required) - **orderBy** (array (object)) (required) Array items: - **pageNumber** (integer (int32)) - **offset** (integer (int64)) - **size** (integer (int32)) - **empty** (boolean) - **numberOfElements** (integer (int32)) - **totalSize** (integer (int64)) (required) - **totalPages** (integer (int32)) #### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/applications/{applicationId}/components/{applicationComponentId}/builds?page=0&size=10" ``` ``` -------------------------------- ### GET /ci-pipelines Source: https://api.cloud.codenow.com/swagger/vnd.codenow.v1+json.yml Lists CI pipelines. ```markdown ### Parameters - **X-Codenow-Api-Key** (unknown, header, required): CodeNOW API Key - **defaultPipelineType** (DefaultPipelineType, query, required) ### Responses #### 200 - ci-pipelines-list 200 response **PipelinesResponse** - **customPipelines** (array (string)) (required): List of custom CI pipelines.
- **defaultPipelines** (object) (required):
The section contains default CodeNOW CI pipelines.
- **release** (array (string)) (required):
List of default release CI pipelines.
- **preview** (array (string)) (required):
List of default preview CI pipelines.
#### 400 - The request was unacceptable, often due to missing a required parameter. The request was unacceptable, often due to missing a required parameter. #### 401 - No valid API key provided. No valid API key provided. #### 403 - The API key doesn't have permissions to perform the request. The API key doesn't have permissions to perform the request. #### 404 - Resource not found. Resource not found. #### 429 - Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. Too many requests hit the API too quickly. We recommend an exponential backoff of your requests. #### 500 - Something went wrong on CodeNOW's end. Something went wrong on CodeNOW's end. ### Example Usage ```bash curl -X GET "https://api.cloud.codenow.com/ci-pipelines?defaultPipelineType=value" ``` ```